Delicia/urls.py
from django.contrib import admin
from django.urls import include, path # modificar esta linha

urlpatterns = [
    path('', include('staticpages.urls')), # adicionar esta linha
    path('admin/', admin.site.urls),
]

staticpages/urls.py
from django.urls import path
from . import views

app_name = 'delicia'
urlpatterns = [
    path('', views.index, name='index'),
    path('receitas/', views.list_staticpages, name='receitas'),
    path('about/', views.about, name='about'),    
    path('receitas/<int:receita_id>/', views.detail_receita, name='detail_receita'),
    path('receitas/create_receita/', views.create_receita, name='create_receita'),
    path('receitas/update/<int:receita_id>/', views.update_receita, name='update_receita'),    
    path('delete/<int:receita_id>/', views.delete_receita, name='delete_receita'),
    path('review/<int:receita_id>/', views.create_review, name='review'),]

staticpages/models.py
from django.db import models
from django.conf import settings


class receita(models.Model):
    name = models.CharField(max_length=255)
    poster_url = models.URLField(max_length=200, null=True)
    ingredientes = models.CharField(max_length=600, null=True)
    mdp = models.CharField(max_length=600, null=True)
    

    def __str__(self):
        return f'{self.name}'


class Review(models.Model):
    author = models.ForeignKey(settings.AUTH_USER_MODEL,
                               on_delete=models.CASCADE)
    text = models.CharField(max_length=255)
    receita = models.ForeignKey(receita, on_delete=models.CASCADE)

    def __str__(self):
        return f'"{self.text}" - {self.author.username}'

staticpages/forms.py
from django.forms import ModelForm
from .models import Review



class ReviewForm(ModelForm):
    class Meta:
        model = Review
        fields = [
            'author',
            'text',
            
        ]
        labels = {
            'author': 'Seu nome',
            'text': 'Mensagem',
        }

staticpages/views.py
from __future__ import unicode_literals
from django.http import HttpResponse, HttpResponseRedirect, request
from django.shortcuts import render
from .models import receita, Review
from django.shortcuts import render, get_object_or_404
from django.urls import reverse, reverse_lazy
from .forms import ReviewForm


def index(request):
    context = {}
    return render(request, 'staticpages/index.html', context)

def receitas(request):
    context = {}
    return render(request, 'staticpages/receitas.html', context)

def about(request):
    context = {}
    return render(request, 'staticpages/about.html', context)

def list_staticpages(request):
    receita_list = receita.objects.all()
    context = {'receita_list': receita_list}
    return render(request, 'staticpages/receitas.html', context)

def detail_receita(request, receita_id):
    receitas = get_object_or_404(receita, pk=receita_id)
    context = {'receitas': receitas}
    return render(request, 'staticpages/detail.html', context)

def search_receita(request):
    context = {}
    if request.GET.get('query', False):
        search_term = request.GET['query'].lower()
        receita_list = receita.objects.filter(name__icontains=search_term)
        context = {"receita_list": receita_list}
    return render(request, 'receita/search.html', context)

def create_receita(request):
    if request.method == 'POST':
        receita_name = request.POST['name']
        receita_poster_url = request.POST['poster_url']
        receita_ingredientes = request.POST['ingredientes']
        receita_mdp = request.POST['mdp']
        Receitas = receita (name=receita_name,
                      poster_url=receita_poster_url,
                      ingredientes=receita_ingredientes,
                      mdp=receita_mdp)
        Receitas.save()
        return HttpResponseRedirect(
            reverse('delicia:detail_receita', args=(Receitas.id, )))
    else:
        return render(request, 'staticpages/create_receita.html', {})


def update_receita(request, receita_id):
    receitas = get_object_or_404(receita, pk=receita_id)
    if request.method == "POST":
        receitas.name = request.POST['name']
        receitas.poster_url = request.POST['poster_url']
        receitas.ingredientes = request.POST['ingredientes']
        receitas.mdp = request.POST['mdp']
        receitas.save()
        return HttpResponseRedirect(
            reverse('delicia:detail', args=(receita.id, )))
    context = {'receitas': receitas}
    return render(request, 'staticpages/update.html', context)


def delete_receita(request, receita_id):
    receitas = get_object_or_404(receita, pk=receita_id)
    if request.method == "POST":
        receitas.delete()
        return HttpResponseRedirect(reverse('delicia:receitas'))
    context = {'receitas': receitas}
    return render(request, 'staticpages/delete.html', context)


def create_review(request, receita_id):
    receitas = get_object_or_404(receita, pk=receita_id)
    if request.method == 'POST':
        form = ReviewForm(request.POST)
        if form.is_valid():
            review_author = form.cleaned_data['author']
            review_text = form.cleaned_data['text']
            review = Review(author=review_author,
                            text=review_text,
                            receita=receitas)
            review.save()
            return HttpResponseRedirect(
                reverse('delicia:detail_receita', args=(receita_id, )))
    else:
        form = ReviewForm()
    context = {'form': form, 'receitas': receitas}
    return render(request, 'staticpages/review.html', context)

staticpages/templates/staticpages/about.html
{% extends 'base.html' %}
{% load static %}
{% block content %}


<div class='background'>

    <div class='about'>
    <h2>
    Nós somos uma família de raízes italianas com o objetivo de trazer sabor a sua mesa,
    aqui você encontrará receitas deliciosas para compartilhar com quem mais importa.
    As receitas foram divididas em quatro partes, bolos, carnes massas e uma incrível
    linha de comidas saudáveis, agora basta você dar uma olhadinha e se delíciar.
    </h2>
    </div>
    
</div>

{% endblock content %}

staticpages/templates/staticpages/create_receita.html
{% extends 'base.html' %}

{% block content %}
<h2>Adicionar receita{{ receita.name }}</h2>
<form method="POST" action="{% url 'delicia:create_receita' %}">
    {% csrf_token %}
    <p>
        <label for="id_name">Nome da receita:</label>
        <input type="text" name="name" id="id_name" value="{{ receita.name }}" />
    </p>
    <p>
        <label for=" id_poster_url">URL do Poster:</label>
        <input type="url" name="poster_url" id="id_poster_url" value="{{receita.poster_url}}" />
    </p>
    <p>
        <label for=" id_ingredientes">Ingredientes:</label>
        <input type="text" name="ingredientes" id="id_ingredientes" value="{{receita.ingredientes}}" />
    </p>
    <p>
        <label for=" id_mdp">Modo de preparo:</label>
        <input type="text" name="mdp" id="id_mdp" value="{{mdp.mdp}}" />
    </p>
    <button type="submit">Criar</button>
</form>
{% endblock content %}

staticpages/templates/staticpages/delete.html
{% extends 'base.html' %}

{% block content %}
<form action="{% url 'delicia:delete_receita' receitas.id %}" method="post">
    {% csrf_token %}
    <p>
        Você tem certeza que deseja apagar a receita? "{{ receitas.name }}"?
    </p>
    <button type="submit">Apagar</button>
</form>

{% endblock content %}

staticpages/templates/staticpages/detail.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
 
<header>
   
    <h1>{{ receitas.name }}</h1>
  
 </header>
  
 
 <div class='block'>
     <img src="{{ receitas.poster_url }}" alt="imagem" width="800px" height="400px">
 </div>
 
<div class='block'>
    <h1>Ingredientes</h1>
</div>


 <div class='block'>
     {{ receitas.ingredientes }}
 </div>
 

<div class='block'>
    <h1>Modo de preparo</h1>
</div>

 <div class='block'>
    
     {{ receitas.mdp }}
 </div>

 <div class='block'>
 <a href="{% url 'delicia:update_receita' receitas.id %}"class="btn btn-lg btn-primary btn-3d">Modificar Receita</a>
</div>

<div class='block'>
 <a href="{% url 'delicia:delete_receita' receitas.id %}"class="btn btn-lg btn-primary btn-3d">Deletar Receita</a>
</div>

<div class='block'>
<a href="{% url 'delicia:review' receitas.id %}"class="btn btn-lg btn-primary btn-3d">Crie sua Resenha</button></a>
</div>



{% if receitas.review_set.all %}
            {% for review in receitas.review_set.all %}
                <figure>
                    <blockquote>
                        "{{ review.text }}"
                    </blockquote>
                    <figcaption>—{{ review.author }}
                </figure>
            {% endfor %}
        {% else %}
            <p>Ainda não existe nenhuma resenha para este receita.</p>
        {% endif %}

{% endblock content %}

staticpages/templates/staticpages/index.html
{% extends 'base.html' %}
{% load static %}
{% block content %}




<div class='about'>
<h2>
Bem vindo ao Delícia, aqui você encontrará diversas receitas para 
aproveitar com amigos e familiares. 
</h2>
</div>

<div class='block'>
    <h5><img src = "{% static 'receitas.jpg' %}" width="1000px" height="500px"></h5>
</div>
    

 

{% endblock content %}

staticpages/templates/staticpages/receitas.html
{% extends 'base.html' %}
{% load static %}
{% block content %}

<div class='block'>
    Nos ajude criando sua receita
</div>


<div class='block'>
    <h1><a href="{% url 'delicia:create_receita' %}"class="btn btn-lg btn-primary btn-3d">Criar Receita</a>
</div>

{% for receitas in receita_list %}
<header>
   
    <h1><a href="{% url 'delicia:detail_receita' receitas.id %}"class="btn btn-lg btn-primary btn-3d">{{ receitas.name }}</a></h1>
  
 </header>
  
 
 <div class='block1'>
     <img src="{{ receitas.poster_url }}" alt="imagem" width="800px" height="400px">
 </div>
 
{% endfor %}
 
{% endblock content %}

staticpages/templates/staticpages/review.html
{% extends 'base.html' %}
{% block content %}


<h2>Adicionar comentário sobre {{ receita.name}}</h2>

<form method="POST" action="{% url 'delicia:review' receitas.id %}">
    {% csrf_token %}
    {{ form.as_p }}
    <button type="submit">Criar</button>
</form>
{% endblock content %}

staticpages/templates/staticpages/update.html
{% extends 'base.html' %}

{% block content %}
<h2>Atualizar receita{{ receita.name }}</h2>
<form method="POST" action="{% url 'delicia:create_receita' %}">
    {% csrf_token %}
    <p>
        <label for="id_name">Nome:</label>
        <input type="text" name="name" id="id_name" value="{{ receita.name }}" />
    </p>
    <p>
        <label for=" id_poster_url">URL do Poster:</label>
        <input type="url" name="poster_url" id="id_poster_url" value="{{receita.poster_url}}" />
    </p>
    <p>
        <label for=" id_ingredientes">Ingredientes:</label>
        <input type="text" name="ingredientes" id="id_ingredientes" value="{{receita.ingredientes}}" />
    </p>
    <p>
        <label for=" id_mdp">Modo de preparo:</label>
        <input type="text" name="mdp" id="id_mdp" value="{{mdp.mdp}}" />
    </p>
    <button type="submit">Atualizar</button>
</form>
{% endblock content %}

templates/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">   
    <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
    <nav class="navbar navbar-expand-md navbar-light bg-light"></nav>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>

<body>
    <header>
        <a href="{% url 'delicia:index' %}" class="nav-item nav-link active"><img src = "{% static 'logo.png' %}" width="190px" height="80px"></a>
        <nav class="navbar navbar-expand-md navbar-light bg-light">
            <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarCollapse">
                <span class="navbar-toggler-icon"></span>
            </button>
        
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <div class="navbar-nav">
                    <a href = "{% url 'delicia:index' %} " class="btn btn-lg btn-primary btn-3d"> Início</a>
                    <a href = "{% url 'delicia:about' %} " class="btn btn-lg btn-primary btn-3d"> Qual o nosso propósito?</a>
                    <a href = "{% url 'delicia:receitas' %} " class="btn btn-lg btn-primary btn-3d"> Receitas</a>
                </div>
            </div>
        </nav> 
    </header> 

{% block content %}
{% endblock content %}

    <footer>

    </footer>

</body>
</html>